package com.lightinit.hsdatagateway.common.exceptions;

import com.lightinit.hsdatagateway.constant.ExceptionEnum;

/**
 * 没有剩余量异常
 */
public class NoRestValueException extends BaseException{

    public NoRestValueException() {
        super("没有剩余量", ExceptionEnum.NORESTVALUE.getCode());
    }


    public NoRestValueException(String message) {
        super(message, ExceptionEnum.NORESTVALUE.getCode());
    }

    public NoRestValueException(String message, String code) {
        super(message, code);
    }

}
